# Get expense by ID

Endpoint: GET /expenses/{id}
Version: 2.0.0
Security: oauth2ClientCredentials

## Path parameters:

  - `id` (string, required)

## Header parameters:

  - `org_wallet_ref` (string)
    Organization wallet reference, defaults to "1" if not provided

  - `business_id` (string, required)
    Business identifier for the request

## Response 200 fields (application/json):

  - `_id` (string)
    MongoDB ID

  - `amount` (number)
    Expense amount

  - `fees` (number)
    Transaction fees

  - `charge` (number)
    Total charge amount

  - `original_currency` (string)
    Original currency

  - `currency` (string)
    Current currency

  - `original_amount` (number)
    Original amount

  - `transaction_ref` (string)
    Transaction reference

  - `provider_ref` (string)
    Provider reference

  - `employee_id` (string)
    Employee ID

  - `person` (string)
    Person name

  - `vendor_ref` (object)
    Vendor reference

  - `transaction_date` (string)
    Transaction date

  - `MerchantCategoryCode` (string)
    Merchant category code

  - `MerchantIdentifier` (string)
    Merchant identifier

  - `fx_rate` (number)
    Foreign exchange rate

  - `card_vcn` (string)
    Card VCN

  - `receiver` (string)
    Transaction receiver

  - `accno` (string)
    Account number

  - `payment_type` (string)
    Payment type

  - `channel` (string)
    Payment channel

  - `subcategory` (object)
    Subcategory details

  - `subcategory._id` (string)
    Subcategory MongoDB ID

  - `subcategory.category` (object)
    Category details

  - `subcategory.category._id` (string)
    Category MongoDB ID

  - `subcategory.category.groupid` (string)
    Category group ID

  - `subcategory.category.name` (string)
    Category name

  - `subcategory.code` (string)
    Subcategory code

  - `subcategory.name` (string)
    Subcategory name

  - `team` (object)
    Team details

  - `team._id` (string)
    Team MongoDB ID

  - `team.name` (string)
    Team name

  - `team.code` (string)
    Team code

  - `tag` (array)
    Tags array

  - `tag._id` (string)
    Tag MongoDB ID

  - `tag.name` (string)
    Tag name

  - `tag.tag_group` (string)
    Tag group ID

  - `tag.employee` (object)
    Employee info

  - `tag.employee._id` (string)
    Employee MongoDB ID

  - `tag.employee.name` (string)
    Employee name

  - `tag.employee.organization_email` (string)
    Employee organization email

  - `tag.employee.tags` (array)
    Employee tags

  - `tag.employee.supervisor` (object)
    Employee supervisor

  - `tag.employee.customer_id` (string)
    Customer ID

  - `tag.employee.customer_name` (string)
    Customer name

  - `tag.is_deleted` (boolean)
    Is deleted flag

  - `tag.__v` (number)
    Version key

  - `tag.createdAt` (string)
    Created timestamp

  - `tag.updatedAt` (string)
    Updated timestamp

  - `tag.teams` (array)
    Associated team IDs

  - `notes` (string)
    Transaction notes

  - `risk` (string)
    Risk level

  - `risk_notes` (string)
    Risk notes

  - `ip` (string)
    IP address

  - `attachments` (array)
    Attachment URLs

  - `invoice_attachments` (array)
    Invoice attachment URLs

  - `payment_status` (string)
    Payment status

  - `status` (string)
    Expense status

  - `review_participants` (array)
    Review participants

  - `review_mandate` (number)
    Review mandate

  - `review_level` (number)
    Review level

  - `priority` (number)
    Priority level

  - `events` (array)
    Events array

  - `exported` (boolean)
    Exported flag

  - `tax_compliant` (boolean)
    Tax compliant flag

  - `sync_successful` (boolean)
    Sync successful flag

  - `org_wallet_ref` (string)
    Organization wallet reference

  - `vendor` (string)
    Vendor name

  - `customer` (object)
    Customer info

  - `subscription_id` (string)
    Subscription ID

  - `account_number` (string)
    Account number

  - `scan` (array)
    Scan results

  - `scan.scanId` (string)
    Scan ID

  - `scan.total` (object)
    Total amount from scan

  - `scan.date` (string)
    Date from scan

  - `scan.vendorNames` (string)
    Vendor names from scan

  - `scan.taxValidity` (object)
    Tax validity info

  - `scan.taxValidity.pin` (string)
    PIN number

  - `scan.taxValidity.cu` (object)
    CU details

  - `scan.taxValidity.invoice` (object)
    Invoice details

  - `scan.taxValidity.tax` (object)
    Tax details

  - `scan.lineItems` (array)
    Line items from scan

  - `scan.lineItems.description` (string)
    Item description

  - `scan.lineItems.price` (number)
    Item price

  - `scan.lineItems.quantity` (number)
    Item quantity

  - `scan.taxCompliant` (boolean)
    Tax compliant flag

  - `scan.expenseAmountMatchesTotal` (boolean)
    Expense amount matches total flag

  - `scan.validityScore` (number)
    Validity score

  - `scan.caption` (string)
    Validity caption

  - `batched` (boolean)
    Batched flag

  - `line_items` (array)
    Line items

  - `employee_external_id` (object)
    Employee external ID

  - `employee` (object)
    Employee details

  - `reviews` (array)
    Reviews array

  - `reviews.person` (string)
    Reviewer person name

  - `reviews.notes` (string)
    Review notes

  - `reviews.employee_id` (string)
    Reviewer employee ID

  - `reviews.status` (string)
    Review status

  - `reviews._id` (string)
    Review MongoDB ID

  - `reviews.reviewed_on` (string)
    Review timestamp

  - `createdAt` (string)
    Created timestamp

  - `updatedAt` (string)
    Updated timestamp

  - `__v` (number)
    Version key

  - `requisition_reference` (string)
    Requisition reference

  - `acknowledged_by_ai` (boolean)
    AI acknowledged flag

  - `analysed_by_ai` (boolean)
    AI analysed flag

  - `attachments_data` (array)
    Attachments data array

  - `deleted_attachments` (array)
    Deleted attachments array

  - `ready_for_ai` (boolean)
    Ready for AI processing flag

  - `send_to_ai_attempts` (number)
    Send to AI attempts count

  - `sent_to_ai` (boolean)
    Sent to AI flag

  - `id` (string)
    Auto-generated ID field

